# frozen_string_literal: true

require 'apiphobic/errors/invalid_accept_header'
require 'apiphobic/responses/invalid'

module  Apiphobic
module  Responses
class   InvalidAcceptHeader < Responses::Invalid
  def self.call(env)
    error ||= Errors::InvalidAcceptHeader.new(
                accept_header: env['HTTP_ACCEPT'],
              )

    super(env, error: error)
  end
end
end
end
