# frozen_string_literal: true

require 'apiphobic/accept_header'

module  Apiphobic
module  Matchers
class   AcceptHeader
  attr_accessor :accept_header,
                :application_name,
                :request

  def initialize(application_name:)
    self.application_name = application_name
  end

  def matches?(request)
    self.request       = request
    self.accept_header = ::Apiphobic::AcceptHeader.new(request.accept_header,
                                                       application_name: application_name)

    accept_header.valid?
  end
end
end
end
