# frozen_string_literal: true

module  Apiphobic
module  Requests
class   Subdomain
  attr_accessor :request

  def initialize(request)
    self.request = request
  end

  def subdomain
    @subdomain ||= raw_host[/\A([a-z\-]+)/i, 1]
  end

  private

  def raw_host
    request.fetch('HTTP_HOST', '')
  end
end
end
end
